Package com.sap.ai.sdk.grounding.model

# Class SDMPipelineMinimalResponse

java.lang.Object
com.sap.ai.sdk.grounding.model.SDMPipelineMinimalResponse

All Implemented Interfaces:
  `PipelineMinimalResponse`

public class SDMPipelineMinimalResponse extends Object implements PipelineMinimalResponse
SDMPipelineMinimalResponse

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SDMPipelineMinimalResponse.Builder`
  Builder helper class.
  `static interface`
  `SDMPipelineMinimalResponse.Builder1`
  Builder helper class.
  `static interface`
  `SDMPipelineMinimalResponse.Builder2`
  Builder helper class.
  `static enum`
  `SDMPipelineMinimalResponse.TypeEnum`
  Gets or Sets type

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SDMPipelineMinimalResponse()`
  Default constructor for SDMPipelineMinimalResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SDMPipelineMinimalResponse.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `SDMPipelineMinimalResponse` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `SDMPipelineMinimalResponse`.
  `String`
  `getId()`
  Get id
  `PipelineExecutionStatus`
  `getStatus()`
  Get status
  `SDMPipelineMinimalResponse.TypeEnum`
  `getType()`
  Get type
  `int`
  `hashCode()`
  `SDMPipelineMinimalResponse`
  `id(String id)`
  Set the id of this `SDMPipelineMinimalResponse` instance and return the same instance.
  `Boolean`
  `isMetadata()`
  Get metadata
  `SDMPipelineMinimalResponse`
  `metadata(Boolean metadata)`
  Set the metadata of this `SDMPipelineMinimalResponse` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `SDMPipelineMinimalResponse` instance.
  `void`
  `setId(String id)`
  Set the id of this `SDMPipelineMinimalResponse` instance.
  `void`
  `setMetadata(Boolean metadata)`
  Set the metadata of this `SDMPipelineMinimalResponse` instance.
  `void`
  `setStatus(PipelineExecutionStatus status)`
  Set the status of this `SDMPipelineMinimalResponse` instance.
  `void`
  `setType(SDMPipelineMinimalResponse.TypeEnum type)`
  Set the type of this `SDMPipelineMinimalResponse` instance.
  `SDMPipelineMinimalResponse`
  `status(PipelineExecutionStatus status)`
  Set the status of this `SDMPipelineMinimalResponse` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `SDMPipelineMinimalResponse` instance including unrecognized properties.
  `String`
  `toString()`
  `SDMPipelineMinimalResponse`
  `type(SDMPipelineMinimalResponse.TypeEnum type)`
  Set the type of this `SDMPipelineMinimalResponse` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SDMPipelineMinimalResponse

    protected SDMPipelineMinimalResponse()
    Default constructor for SDMPipelineMinimalResponse.

- ## Method Details

  - ### id

    @Nonnull public SDMPipelineMinimalResponse id(@Nonnull String id)
    Set the id of this `SDMPipelineMinimalResponse` instance and return the same instance.
    Parameters:
      `id` - The id of this `SDMPipelineMinimalResponse`
    Returns:
      The same instance of this `SDMPipelineMinimalResponse` class

  - ### getId

    @Nonnull public String getId()
    Get id
    Returns:
      id The id of this `SDMPipelineMinimalResponse` instance.

  - ### setId

    public void setId(@Nonnull String id)
    Set the id of this `SDMPipelineMinimalResponse` instance.
    Parameters:
      `id` - The id of this `SDMPipelineMinimalResponse`

  - ### status

    @Nonnull public SDMPipelineMinimalResponse status(@Nullable PipelineExecutionStatus status)
    Set the status of this `SDMPipelineMinimalResponse` instance and return the same instance.
    Parameters:
      `status` - The status of this `SDMPipelineMinimalResponse`
    Returns:
      The same instance of this `SDMPipelineMinimalResponse` class

  - ### getStatus

    @Nullable public PipelineExecutionStatus getStatus()
    Get status
    Returns:
      status The status of this `SDMPipelineMinimalResponse` instance.

  - ### setStatus

    public void setStatus(@Nullable PipelineExecutionStatus status)
    Set the status of this `SDMPipelineMinimalResponse` instance.
    Parameters:
      `status` - The status of this `SDMPipelineMinimalResponse`

  - ### type

    @Nonnull public SDMPipelineMinimalResponse type(@Nonnull SDMPipelineMinimalResponse.TypeEnum type)
    Set the type of this `SDMPipelineMinimalResponse` instance and return the same instance.
    Parameters:
      `type` - The type of this `SDMPipelineMinimalResponse`
    Returns:
      The same instance of this `SDMPipelineMinimalResponse` class

  - ### getType

    @Nonnull public SDMPipelineMinimalResponse.TypeEnum getType()
    Get type
    Specified by:
      `getType` in interface `PipelineMinimalResponse`
    Returns:
      type The type of this `SDMPipelineMinimalResponse` instance.

  - ### setType

    public void setType(@Nonnull SDMPipelineMinimalResponse.TypeEnum type)
    Set the type of this `SDMPipelineMinimalResponse` instance.
    Parameters:
      `type` - The type of this `SDMPipelineMinimalResponse`

  - ### metadata

    @Nonnull public SDMPipelineMinimalResponse metadata(@Nullable Boolean metadata)
    Set the metadata of this `SDMPipelineMinimalResponse` instance and return the same instance.
    Parameters:
      `metadata` - The metadata of this `SDMPipelineMinimalResponse`
    Returns:
      The same instance of this `SDMPipelineMinimalResponse` class

  - ### isMetadata

    @Nonnull public Boolean isMetadata()
    Get metadata
    Returns:
      metadata The metadata of this `SDMPipelineMinimalResponse` instance.

  - ### setMetadata

    public void setMetadata(@Nullable Boolean metadata)
    Set the metadata of this `SDMPipelineMinimalResponse` instance.
    Parameters:
      `metadata` - The metadata of this `SDMPipelineMinimalResponse`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `SDMPipelineMinimalResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `SDMPipelineMinimalResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `SDMPipelineMinimalResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `SDMPipelineMinimalResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static SDMPipelineMinimalResponse.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `SDMPipelineMinimalResponse` instance with all required arguments.